# cabal2spec-0.25.4
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name semigroups

%global common_summary Implementation of semigroups

%global common_description This library implements mathematical semigroups in Haskell 98.

Name:           ghc-%{pkg_name}
Version:        0.8.3.2
Release:        1%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


# devel subpackage
%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE


%changelog
* Wed Jun 13 2012 Jens Petersen <petersen@redhat.com> - 0.8.3.2-1
- update to 0.8.3.2

* Fri Apr 13 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.8.3-2
- Rebuild

* Thu Apr 12 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.8.3-1
- Package update to 0.8.3

* Mon Apr  9 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.8.2-1
- spec file updated to cabal2spec-0.25.4
- package updated to 0.8.2

* Sun Mar 18 2012 Jens Petersen <petersen@redhat.com> - 0.8-4
- update to cabal2spec-0.25

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Oct 26 2011 Jens Petersen <petersen@redhat.com> - 0.8-2
- rebuild against new gmp

* Mon Oct  3 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.8-1
- License is BSD. No dependencies.

* Mon Oct  3 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.8-0
- initial packaging for Fedora automatically generated by cabal2spec-0.24.1
